#include "tableSTAT.h"


main( int argc, char *argv[] )
{
 unsigned long tm, tm2;
 int timeout, i, key;
 int shmid;
 tableSTAT st, *stp;


 if( argc < 3 )
 {
  printf( "Usage: %s  shmkey  timeout\n", argv[0] );
  exit( -2 );
 }

 key= atoi( argv[1] );
 timeout= atoi( argv[2] );

 if( (shmid= shmget( key, sizeof( tableSTAT ), IPC_CREAT | 0777 )) == -1 )
 {
  puts( "### Cannot get SHM..." );
  exit( -2 );
 }

 if( (stp= (tableSTAT *)shmat( shmid, 0, 0 )) == (tableSTAT *)-1 )
 {
  puts( "### Cannot attach SHM..." );
  exit( -2 );
 }

 time( &tm );
 tm += timeout;

 while( 1 )
 {
  time( &tm2 );
  sleep( tm - tm2 );
  tm += timeout;
  memcpy( &st, stp, sizeof( tableSTAT ));

  puts( "Print STAT(s):\nempty    0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 " );

  for( i= 0; i < st.number; i++ )
   if( st.stat[i].active )
    printf( "%s %s\n", st.stat[i].name, st.stat[i].values );

  puts( "" );
  fflush( stdout );
 }
}

